//*****************************************************//
//
// Unit: RsEdit
//
// Purpose: Base class for RsIntEdit and RsFloatEdit
//
// Inherits From: TEdit
//
// Project: RapidMisc
//
// Author: Jeff Hiscock -- jhiscock@rapidsi.com
//
// Date: March 2000
//
// Revisions
//
// Copyright Rapid Systems 2000
//******************************************************//
//---------------------------------------------------------------------------
#ifndef RsEditH
#define RsEditH
//---------------------------------------------------------------------------
#include <SysUtils.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <Forms.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
#include "RsCheckValue.h"
class PACKAGE TRsEdit : public TEdit
{
private:
protected:
        Classes::TNotifyEvent FOnConvertError;
    	DYNAMIC void __fastcall KeyPress(char &Key);
        bool __fastcall IsTabOrReturn(char Key);
        bool __fastcall IsNumber(char Key);
        int FMaxValue;
        int FMinValue;
        Classes::TNotifyEvent FOnOverMax;
        Classes::TNotifyEvent FOnBelowMin;
        bool FCheckOnExit;
        virtual bool __fastcall CheckRange();
        TRsCheckValue <int> FRangeCheck;
        DYNAMIC __fastcall void DoExit(void);
        __property int CheckValue  = { read = GetCheckValue };
        virtual  long __fastcall GetCheckValue();
public:
        __fastcall TRsEdit(TComponent* Owner);
__published:
};
//---------------------------------------------------------------------------
#endif
